//  Beispiel 11 "Farbige Rechtecke"
//  
//  Unter Verwendung der IoT Brick Library und der BRK Clock Library

#include <all_IoT.h>
#include <all_BRKclock.h>

void setup()
{
  IoT_Init(true);                                                 // IoT-Brick initialisieren
  BRKclock_Init();                                                // BRK-Clock initialisieren
  BRKclock_TestMatrix(50);                                        // Alle LEDs mit 50 ms. Verzögerung einschalten
  IoT_WaitKeypress(10000, true);                                  // 10 Sekunden warten, kann mit Taster übersprungen werden
  BRKclock_Matrix.begin();                                        // Ausgabe auf der Matrix beginnen
  BRKclock_Matrix.setTextWrap(false);                             // Kein Zeilenumbruch
  BRKclock_Matrix.setTextSize(1);                                 // Normale Textgröße, keine Vergrößerung
  BRKclock_Matrix.setBrightness(100);                             // Helligkeit 100%
  BRKclock_Matrix.fillScreen(0);                                  // Alle Pixel ausschalten
}

int i = 0;

void loop()
{
  i++;
  BRKclock_Matrix.drawRect(0, 0, 8, 8, BRKclock_Matrix16Color[i & 15]);
  BRKclock_Matrix.show();
  delay(500);                                                     // Eine halbe Sekunde warten
  i++;
  BRKclock_Matrix.drawRect(1, 1, 6, 6, BRKclock_Matrix16Color[i & 15]);
  BRKclock_Matrix.show();
  delay(500);                                                     // Eine halbe Sekunde warten
  i++;
  BRKclock_Matrix.drawRect(2, 2, 4, 4, BRKclock_Matrix16Color[i & 15]);
  BRKclock_Matrix.show();
  delay(500);                                                     // Eine halbe Sekunde warten
  i++;
  BRKclock_Matrix.drawRect(3, 3, 2, 2, BRKclock_Matrix16Color[i & 15]);
  BRKclock_Matrix.show();
  delay(500);                                                     // Eine halbe Sekunde warten
}

